# pro-archman
# lib/cmd/remove-suite.sh
# "remove-suite" command
#
# Copyright (C) 2013  Patrick "P. J." McDermott
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

use suite

cmd_remove_suite_main()
{
	local suite="${1}"
	local chan=
	local dist=

	init

	chan="${suite%/*}"
	dist="${suite##*/}"
	if [ "x${chan}" = "x${suite}" ]; then
		chan="${conf_incoming_channel}"
	fi

	remove_suite "${chan}" "${dist}"

	fini

	return 0
}
